drio
Technical OverviewAPI Reference

Tools

Intent-level tool creation and runtime visibility.

GET
/api/v3/apps/{app_id}/tools

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

app_id*string

Query Parameters

cursor?string
limit?integer
Default50
Range1 <= value <= 100
query?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://www.getdrio.com/api/v3/apps/string/tools"
{
  "items": [
    {
      "id": "string",
      "app_id": "string",
      "key": "string",
      "name": "string",
      "description": "string",
      "enabled": true,
      "order": 0,
      "annotations": {
        "title": "string",
        "read_only_hint": true,
        "destructive_hint": true,
        "idempotent_hint": true,
        "open_world_hint": true
      },
      "source": {
        "type": "integration_operation",
        "integration_id": "string",
        "operation_id": "string"
      },
      "runtime_status": {
        "state": "exposed",
        "reason": "string"
      },
      "widget_id": "string"
    }
  ],
  "next_cursor": "string"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
POST
/api/v3/apps/{app_id}/tools

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

app_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://www.getdrio.com/api/v3/apps/string/tools" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "description": "string",    "source": {      "type": "integration_operation",      "integration_id": "string",      "operation_id": "string"    }  }'
{
  "tool": {
    "id": "string",
    "app_id": "string",
    "key": "string",
    "name": "string",
    "description": "string",
    "enabled": true,
    "order": 0,
    "annotations": {
      "title": "string",
      "read_only_hint": true,
      "destructive_hint": true,
      "idempotent_hint": true,
      "open_world_hint": true
    },
    "source": {
      "type": "integration_operation",
      "integration_id": "string",
      "operation_id": "string"
    },
    "runtime_status": {
      "state": "exposed",
      "reason": "string"
    },
    "widget_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
GET
/api/v3/apps/{app_id}/tools/{tool_id}

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

app_id*string
tool_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://www.getdrio.com/api/v3/apps/string/tools/string"
{
  "tool": {
    "id": "string",
    "app_id": "string",
    "key": "string",
    "name": "string",
    "description": "string",
    "kind": "string",
    "enabled": true,
    "order": 0,
    "annotations": {
      "read_only_hint": true,
      "destructive_hint": true,
      "idempotent_hint": true,
      "open_world_hint": true
    },
    "binding": {
      "type": "integration_operation",
      "integration_operation_id": "string",
      "schema_hash_at_bind_time": "string",
      "status": "draft"
    },
    "next_tool_ids": [
      "string"
    ],
    "widget_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
PATCH
/api/v3/apps/{app_id}/tools/{tool_id}

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

app_id*string
tool_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://www.getdrio.com/api/v3/apps/string/tools/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "tool": {
    "id": "string",
    "app_id": "string",
    "key": "string",
    "name": "string",
    "description": "string",
    "kind": "string",
    "enabled": true,
    "order": 0,
    "annotations": {
      "read_only_hint": true,
      "destructive_hint": true,
      "idempotent_hint": true,
      "open_world_hint": true
    },
    "binding": {
      "type": "integration_operation",
      "integration_operation_id": "string",
      "schema_hash_at_bind_time": "string",
      "status": "draft"
    },
    "next_tool_ids": [
      "string"
    ],
    "widget_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
DELETE
/api/v3/apps/{app_id}/tools/{tool_id}

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

app_id*string
tool_id*string

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://www.getdrio.com/api/v3/apps/string/tools/string"
{
  "deleted": true
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
POST
/api/v3/apps/{app_id}/tools/{tool_name}/execute

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

app_id*string
tool_name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://www.getdrio.com/api/v3/apps/string/tools/string/execute" \  -H "Content-Type: application/json" \  -d '{}'
{
  "ok": true,
  "result": {
    "content": [
      {
        "type": "text",
        "text": "string"
      }
    ],
    "structured_content": null,
    "meta": {
      "property1": null,
      "property2": null
    },
    "is_error": true
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
PUT
/api/v3/apps/{app_id}/tools/{tool_id}/chain

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

app_id*string
tool_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://www.getdrio.com/api/v3/apps/string/tools/string/chain" \  -H "Content-Type: application/json" \  -d '{    "next_tool_ids": [      "string"    ]  }'
{
  "tool": {
    "id": "string",
    "app_id": "string",
    "key": "string",
    "name": "string",
    "description": "string",
    "kind": "string",
    "enabled": true,
    "order": 0,
    "annotations": {
      "read_only_hint": true,
      "destructive_hint": true,
      "idempotent_hint": true,
      "open_world_hint": true
    },
    "binding": {
      "type": "integration_operation",
      "integration_operation_id": "string",
      "schema_hash_at_bind_time": "string",
      "status": "draft"
    },
    "next_tool_ids": [
      "string"
    ],
    "widget_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
POST
/api/v3/apps/{app_id}/tools/{tool_id}/preview

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

app_id*string
tool_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://www.getdrio.com/api/v3/apps/string/tools/string/preview"
{
  "ok": true,
  "preview": {},
  "validation": {
    "ok": true,
    "error_count": 0,
    "warning_count": 0,
    "blocking_count": 0,
    "issues": [
      {
        "code": "string",
        "severity": "error",
        "blocks_publish": true,
        "message": "string",
        "references": [
          {
            "entity_type": "string",
            "entity_id": "string",
            "label": "string",
            "supporting_label": "string",
            "description": "string"
          }
        ]
      }
    ]
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
POST
/api/v3/apps/{app_id}/tools/{tool_id}/repair

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

app_id*string
tool_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://www.getdrio.com/api/v3/apps/string/tools/string/repair"
{
  "ok": true,
  "preview": {},
  "validation": {
    "ok": true,
    "error_count": 0,
    "warning_count": 0,
    "blocking_count": 0,
    "issues": [
      {
        "code": "string",
        "severity": "error",
        "blocks_publish": true,
        "message": "string",
        "references": [
          {
            "entity_type": "string",
            "entity_id": "string",
            "label": "string",
            "supporting_label": "string",
            "description": "string"
          }
        ]
      }
    ]
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}